Bug 39716 - univention-appcenter not localized
univention-appcenter not localized
Status: CLOSED FIXED
Product: UCS
Classification: Unclassified
Component: App Center
UCS 4.1
Other Linux
: P5 normal (vote)
: UCS 4.1
Assigned To: Dirk Wiesenthal
Alexander Kläser
: interim-3
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-02 23:31 CET by Dirk Wiesenthal
Modified: 2015-11-17 12:11 CET (History)
1 user (show)

See Also:
What kind of report is it?: ---
What type of bug is this?: ---
Who will be affected by this bug?: ---
How will those affected feel about the bug?: ---
User Pain:
Enterprise Customer affected?:
School Customer affected?:
ISV affected?:
Waiting Support:
Ticket number:
Bug group (optional):
Max CVSS v3 score:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Dirk Wiesenthal univentionstaff 2015-11-02 23:31:34 CET
The lib currently lacks a de.po file. There is a translation object in utils, but it is not doing anything (as there is no translation installed) and it is not used.

We need to:
 * adjust the build process to generate a mo file from a po file
 * create that po file
 * use the _ function throughout the lib
 * pass --locale to all App Center scripts so that these may be localized, too (by the ISVs)
Comment 1 Dirk Wiesenthal univentionstaff 2015-11-12 01:02:03 CET
(In reply to Dirk Wiesenthal from comment #0)
> We need to:
>  * adjust the build process to generate a mo file from a po file

Done. scripts/build-appcenter-po generates python/de.po - used by all packages (e.g. univention-appcenter-docker)

>  * create that po file

Initial version. Very few translations. Maybe they are not really needed? Purpose would be progress bar.

>  * use the _ function throughout the lib

Not really done

>  * pass --locale to all App Center scripts so that these may be localized,
> too (by the ISVs)

Done
Comment 2 Dirk Wiesenthal univentionstaff 2015-11-12 01:03:22 CET
(In reply to Dirk Wiesenthal from comment #1)
> >  * pass --locale to all App Center scripts so that these may be localized,
> > too (by the ISVs)
> 
> Done

Only done for preinst / prerm.  Not in docker interface scripts. store_data breaks otherwise because of unknown --lang option. If this is needed, store_data needs to be patched, too.
Comment 3 Alexander Kläser univentionstaff 2015-11-12 17:53:28 CET
(In reply to Dirk Wiesenthal from comment #2)
> (In reply to Dirk Wiesenthal from comment #1)
> > >  * pass --locale to all App Center scripts so that these may be localized,
> > > too (by the ISVs)
> > 
> > Done
> 
> Only done for preinst / prerm.  Not in docker interface scripts. store_data
> breaks otherwise because of unknown --lang option. If this is needed,
> store_data needs to be patched, too.

OK, if I understand the current state correctly, the translation of the appcenter lib is not complete and the changes for this bug refer to preinst/prerm scripts which are currently not used by any (docker) app. I will just set this bug to VERIFIED. The localization seems to be an open issue, anyhow.
Comment 4 Stefan Gohmann univentionstaff 2015-11-17 12:11:49 CET
UCS 4.1 has been released:
 https://docs.software-univention.de/release-notes-4.1-0-en.html
 https://docs.software-univention.de/release-notes-4.1-0-de.html

If this error occurs again, please use "Clone This Bug".